#pragma once
#include "../base/provider_interface.hpp"

namespace lsp::providers::exit
{
    class ExitProvider : public INotificationProvider
    {
    public:
        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        void HandleNotification(const protocol::NotificationMessage& notification, ProviderContext& context) override;
    };
}
